﻿using System;

using DevExpress.Data;
using DevExpress.Utils;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 팝업 폼
    /// </summary>
    public partial class PopupForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 소스 - DataSource

        /// <summary>
        /// 데이터 소스
        /// </summary>
        public object DataSource
        {
            get
            {
                return this.gridControl.DataSource;
            }
            set
            {
                this.gridControl.DataSource = value;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PopupForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public PopupForm()
        {
            InitializeComponent();

            this.gridControl.DataSourceChanged += gridControl_DataSourceChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 그리드 컨트롤 데이터 소스 변경시 처리하기 - gridControl_DataSourceChanged(sender, e)

        /// <summary>
        /// 그리드 컨트롤 데이터 소스 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void gridControl_DataSourceChanged(object sender, EventArgs e)
        {
            this.gridView.Columns["OrderDate"].SummaryItem.SummaryType  = SummaryItemType.Count;
            this.gridView.Columns["OrderDate"].DisplayFormat.FormatType = FormatType.DateTime;

            this.gridView.Columns["Country"].Group();

            this.gridView.Columns["City"].Group();

            this.gridView.Columns["ProductName"].Group();

            this.gridView.ExpandAllGroups();
        }

        #endregion
    }
}